import { Component, ChangeDetectionStrategy, Input, Output, EventEmitter } from '@angular/core';
var FileUploadPreviewComponent = (function () {
    function FileUploadPreviewComponent() {
        this.selectFiles = [];
        this.removeFile = new EventEmitter();
    }
    FileUploadPreviewComponent.prototype.onRemoveFile = function (fileItem) {
        this.removeFile.emit(fileItem);
    };
    return FileUploadPreviewComponent;
}());
export { FileUploadPreviewComponent };
FileUploadPreviewComponent.decorators = [
    { type: Component, args: [{
                selector: 're-file-upload-preview',
                template: "\n    <div class=\"file-upload-preview\">\n      <table class=\"table\">\n        <tbody>\n        <tr *ngFor=\"let fileItem of selectFiles\">\n          <td *ngIf=\"imgPreview\">\n            <a [href]=\"fileItem.dataUrl\" target=\"_blank\">\n              <img *ngIf=\"fileItem.dataUrl\" class=\"img-responsive\" [src]=\"fileItem.dataUrl\" [attr.alt]=\"fileItem.file.name\"\n                   [style.width]=\"previewWidth || ''\"/>\n            </a>\n          </td>\n          <td>\n            {{fileItem.name}}\n          </td>\n          <td>\n            {{fileItem.displaySize}}\n          </td>\n          <td>\n            <i *ngIf=\"!uploaded\" class=\"glyphicon glyphicon-trash text-danger\" (click)=\"onRemoveFile(fileItem)\"></i>\n            <i *ngIf=\"uploaded\" class=\"glyphicon glyphicon-ok text-success\"></i>\n          </td>\n        </tr>\n        </tbody>\n      </table>\n    </div>\n  ",
                changeDetection: ChangeDetectionStrategy.OnPush,
                exportAs: 'fileUploadPreview'
            },] },
];
/** @nocollapse */
FileUploadPreviewComponent.ctorParameters = function () { return []; };
FileUploadPreviewComponent.propDecorators = {
    'imgPreview': [{ type: Input },],
    'previewWidth': [{ type: Input },],
    'uploaded': [{ type: Input },],
    'selectFiles': [{ type: Input },],
    'removeFile': [{ type: Output },],
};
//# sourceMappingURL=file-upload-preview.component.js.map