import { Injectable } from '@angular/core';
var RebirthNGConfig = (function () {
    function RebirthNGConfig() {
        this.accordion = {
            type: '',
            keepOneItem: true,
            closable: false
        };
        this.alertBox = {
            type: 'info',
            closable: false,
        };
        this.autoComplete = {
            delay: 300,
            minLength: 3,
            itemTemplate: null,
            noResultItemTemplate: null,
            formatter: function (item) { return item ? (item.label || item.toString()) : ''; },
            valueParser: function (item) { return item; }
        };
        this.carousel = {
            interval: 0,
            animate: false,
            reflowDuration: 30,
            animationDuration: 600
        };
        this.checkboxGroup = {
            formatter: function (item) { return item ? (item.label || item.toString()) : ''; },
            valueParser: function (item) { return item; }
        };
        this.datatable = {
            emptyRowText: 'Data source is empty!'
        };
        this.datePicker = {
            locale: 'en-US',
            today: 'Today',
            timePicker: false,
            dateConverter: null,
            weeks: ['Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa'],
            months: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
            min: 1900,
            max: 2099,
            format: {
                date: 'YYYY-MM-DD',
                time: 'YYYY-MM-DD HH:mm'
            }
        };
        this.dialog = {
            button: {
                yes: 'Yes',
                no: 'No'
            }
        };
        this.fileUpload = {
            imgPreview: false,
            previewWidth: '50px',
            uploadParamName: 'file',
            fileSizeErrorMessage: '{0}: size is too large, allowed size is {1};',
            fileTypeErrorMessage: '{0}: file type is invalid, allowed file type is {1};',
            chooseButton: 'Choose',
            uploadButton: 'Upload',
            cancelButton: 'Cancel'
        };
        this.pager = {
            pageSize: 10,
            aligned: true,
            button: {
                previous: '« Previous',
                next: 'Next »'
            }
        };
        this.pagination = {
            boundary: true,
            pageSize: 10,
            maxItems: 5,
            size: '',
            button: {
                first: 'First',
                last: 'Last',
                pre: 'Previous',
                next: 'Next'
            }
        };
        this.panel = {
            type: 'default',
            closable: false,
            collapsable: false,
        };
        this.progressBar = {
            type: '',
            max: 100,
            animate: false,
            striped: false
        };
        this.radioGroup = {
            formatter: function (item) { return item ? (item.label || item.toString()) : ''; },
            valueParser: function (item) { return item; }
        };
        this.rating = {
            max: 10,
            icons: { stateOn: 'glyphicon glyphicon-star', stateOff: 'glyphicon glyphicon-star-empty' }
        };
        this.selectButton = {
            type: 'primary',
            justified: false,
            multiple: false
        };
        this.switchBtn = {
            onText: 'ON',
            offText: 'OFF',
            type: 'primary'
        };
        this.tabs = {
            type: 'tabs',
            justified: false,
            vertical: false
        };
    }
    // constructor(@Inject(LOCALE_ID) private locale: string) {
    // }
    RebirthNGConfig.prototype.extend = function (obj) {
        Object.assign(this, obj);
        return this;
    };
    return RebirthNGConfig;
}());
export { RebirthNGConfig };
RebirthNGConfig.decorators = [
    { type: Injectable },
];
/** @nocollapse */
RebirthNGConfig.ctorParameters = function () { return []; };
//# sourceMappingURL=rebirth-ng.config.js.map