import { Component, ContentChildren, Input, Output, EventEmitter } from '@angular/core';
import { TabComponent } from './tab.component';
import { RebirthNGConfig } from '../rebirth-ng.config';
var TabsComponent = (function () {
    function TabsComponent(rebirthUIConfig) {
        this.type = 'tabs';
        this.activeTabChange = new EventEmitter();
        this.type = rebirthUIConfig.tabs.type;
        this.justified = rebirthUIConfig.tabs.justified;
        this.vertical = rebirthUIConfig.tabs.vertical;
    }
    TabsComponent.prototype.ngAfterContentInit = function () {
        if (this.activeTab === undefined && this.tabs.length) {
            this.select(this.tabs.first.id);
        }
    };
    TabsComponent.prototype.select = function (id) {
        var tab = this.tabs.find(function (item) { return item.id === id; });
        if (tab && !tab.disabled) {
            this.activeTab = id;
            this.activeTabChange.emit(id);
        }
    };
    return TabsComponent;
}());
export { TabsComponent };
TabsComponent.decorators = [
    { type: Component, args: [{
                selector: 're-tabs',
                template: "\n    <ul class=\"nav nav-{{type}} {{cssClass}}\" [ngClass]=\"{'nav-stacked': vertical,'nav-justified': justified}\"\n        role=\"tablist\">\n      <li role=\"presentation\" *ngFor=\"let tab of tabs\" [class.disabled]=\"tab.disabled\"\n          [class.active]=\"tab.id == activeTab\" (click)=\"select(tab.id)\">\n        <a role=\"tab\" data-toggle=\"tab\" [attr.aria-expanded]=\"tab.id == activeTab\">\n          <ng-template *ngIf=\"!tab.title\" [ngTemplateOutlet]=\"tab.titleTpl?.templateRef\"> </ng-template>\n          <span *ngIf=\"tab.title\">{{tab.title}}</span>\n        </a>\n      </li>\n    </ul>\n    <div class=\"tab-content\">\n      <ng-container *ngFor=\"let tab of tabs\">\n        <div class=\"tab-pane fade in\" role=\"tabpanel\" *ngIf=\"tab.id == activeTab\"\n             [ngClass]=\"{'in active': tab.id == activeTab}\">\n          <ng-template [ngTemplateOutlet]=\"tab?.contentTpl?.templateRef\"> </ng-template>\n        </div>\n      </ng-container>\n    </div>\n  ",
                exportAs: 'tabs'
            },] },
];
/** @nocollapse */
TabsComponent.ctorParameters = function () { return [
    { type: RebirthNGConfig, },
]; };
TabsComponent.propDecorators = {
    'type': [{ type: Input },],
    'activeTab': [{ type: Input },],
    'vertical': [{ type: Input },],
    'justified': [{ type: Input },],
    'cssClass': [{ type: Input },],
    'tabs': [{ type: ContentChildren, args: [TabComponent,] },],
    'activeTabChange': [{ type: Output },],
};
//# sourceMappingURL=tabs.component.js.map