import { ChangeDetectorRef, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class TimePickerModel {
    hour: number;
    minute: number;
    second: number;
    constructor(hour: number, minute: number, second?: number);
    toString(): string;
}
export declare enum TIME {
    HOUR = 0,
    MINUTE = 1,
    SECOND = 2,
}
export declare const TIME_KEY: {
    HOUR: string;
    MINUTE: string;
    SECOND: string;
};
export declare const MAX_TIME_RANGE: {
    hour: number;
    minute: number;
    second: number;
};
export declare class TimePickerComponent implements OnInit, ControlValueAccessor {
    private changeDetectorRef;
    showSeconds: boolean;
    minTime: TimePickerModel;
    maxTime: TimePickerModel;
    hour: string;
    minute: string;
    second: string;
    timeType: typeof TIME;
    minDate: Date;
    maxDate: Date;
    disabled: boolean;
    private onChange;
    private onTouched;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    initConditionDate(): void;
    getDateByTime(time: TimePickerModel): Date;
    getCurrentTimestamp(time: any): number;
    writeValue(value: TimePickerModel): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(disabled: any): void;
    updateTimeByMargin(key: string, marginDate: any): void;
    modifyTimeByKey(value: number, key: string): void;
    onHoursChange(): void;
    onMinutesChange(): void;
    onSecondsChange(): void;
    onModelChange(): void;
    private getTimePickerModel();
    isSafetyKeyPress(keyType: any, target: string, key: string): boolean;
    isSupportedKeyPress(event: any): boolean;
    handleKeyEvent(event: any, type: any): void;
    modifyTimeByKeyPress(key: string, type: string, step: number): void;
    modifyTimeByKeyPressEvent(type: number, keyEventType: string): void;
}
