import { ValidatorFn, AbstractControl } from '@angular/forms';
export declare function isPresent(obj: any): boolean;
/**
 * Validator that requires controls to have a value of a range length.
 */
export declare function rangeLengthValidator(rangeLength: Array<number>): ValidatorFn;
/**
 * Validator that requires controls to have a value of a min value.
 */
export declare function minValidator(min: number): ValidatorFn;
/**
 * Validator that requires controls to have a value of a max value.
 */
export declare function maxValidator(max: number): ValidatorFn;
/**
 * Validator that requires controls to have a value of a range value.
 */
export declare function rangeValidator(range: Array<number>): ValidatorFn;
/**
 * Validator that requires controls to have a value of digits.
 */
export declare function digitsValidator(): ValidatorFn;
/**
 * Validator that requires controls to have a value of number.
 */
export declare function numberValidator(): ValidatorFn;
/**
 * Validator that requires controls to have a value of url.
 */
export declare function urlValidator(): ValidatorFn;
export declare function emailValidator(): ValidatorFn;
/**
 * Validator that requires controls to have a value of date.
 */
export declare function dateValidator(): ValidatorFn;
/**
 * Validator that requires controls to have a value of dateISO.
 */
export declare function dateISOValidator(): ValidatorFn;
/**
 * Validator that requires controls to have a value of JSON.
 */
export declare function jsonValidator(): ValidatorFn;
/**
 * Validator that requires controls to have a value of base64.
 */
export declare function base64Validator(): ValidatorFn;
/**
 * Validator that requires controls to have a value of phone.
 */
export declare function phoneValidator(locale?: string): ValidatorFn;
/**
 * Validator that requires controls to have a value of uuid.
 */
export declare function uuidValidator(version?: string): ValidatorFn;
/**
 * Validator that requires controls to have a value to equal another value.
 */
export declare function equalValidator(val: any): ValidatorFn;
/**
 * Validator that requires controls to have a value to equal another control.
 */
export declare function equalToValidator(target: AbstractControl | string): ValidatorFn;
/**
 * Validator that requires controls to have a value include in a array.
 */
export declare function includesValidator(optionalValue: Array<any>): ValidatorFn;
/**
 * Date should before and equal given date(default date is today).
 */
export declare function beforeDateValidator(target: Date | string | number): ValidatorFn;
/**
 * Date should after and equal given date(default date is today).
 */
export declare function afterDateValidator(target: Date | string | number): ValidatorFn;
